> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve Card Bin

> Resolve your customer's bank identification number(BIN)



## OpenAPI

````yaml get /card-bins/{bin}
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /card-bins/{bin}:
    get:
      tags:
        - Misc
      summary: Resolve Card Bin
      description: Resolve your customer's bank identification number(BIN)
      operationId: ResolveCardBin
      parameters:
        - name: bin
          in: path
          description: ''
          required: true
          style: simple
          schema:
            type: integer
            format: int32
            example: 539983
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Mon, 18 Mar 2024 10:58:04 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '200'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"c8-q1DUmQF6fVnh1Lsr3P/CMg"
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=31536000; includeSubDomains; preload; always;
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ResolveCardBin'
                  - example:
                      status: success
                      message: completed
                      data:
                        issuing_country: ' NIGERIA NG'
                        bin: '539983'
                        card_type: MASTERCARD
                        issuer_info: >-
                          MASTERCARD GUARANTY TRUST BANK Mastercard Naira Debit
                          Card  
              example:
                status: success
                message: completed
                data:
                  issuing_country: ' NIGERIA NG'
                  bin: '539983'
                  card_type: MASTERCARD
                  issuer_info: 'MASTERCARD GUARANTY TRUST BANK Mastercard Naira Debit Card  '
        '400':
          description: Bad Request
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 28 Mar 2024 11:58:11 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '156'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"9c-FZyNvujojm3J6oKO4oqnbw"
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BinNotFound1'
                  - example:
                      status: error
                      message: completed
                      data:
                        nigerian_card: false
                        response_code: RR
                        response_message: BIN not Found
                        transaction_reference: null
              example:
                status: error
                message: completed
                data:
                  nigerian_card: false
                  response_code: RR
                  response_message: BIN not Found
                  transaction_reference: null
      deprecated: false
components:
  schemas:
    ResolveCardBin:
      title: ResolveCardBin
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data85'
      example:
        status: success
        message: completed
        data:
          issuing_country: ' NIGERIA NG'
          bin: '539983'
          card_type: MASTERCARD
          issuer_info: 'MASTERCARD GUARANTY TRUST BANK Mastercard Naira Debit Card  '
    BinNotFound1:
      title: BinNotFound1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data86'
      example:
        status: error
        message: completed
        data:
          nigerian_card: false
          response_code: RR
          response_message: BIN not Found
          transaction_reference: null
    Data85:
      title: Data85
      required:
        - issuing_country
        - bin
        - card_type
        - issuer_info
      type: object
      properties:
        issuing_country:
          type: string
        bin:
          type: string
        card_type:
          type: string
        issuer_info:
          type: string
      example:
        issuing_country: ' NIGERIA NG'
        bin: '539983'
        card_type: MASTERCARD
        issuer_info: 'MASTERCARD GUARANTY TRUST BANK Mastercard Naira Debit Card  '
    Data86:
      title: Data86
      required:
        - nigerian_card
        - response_code
        - response_message
        - transaction_reference
      type: object
      properties:
        nigerian_card:
          type: boolean
        response_code:
          type: string
        response_message:
          type: string
        transaction_reference:
          type: string
          nullable: true
      example:
        nigerian_card: false
        response_code: RR
        response_message: BIN not Found
        transaction_reference: null
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````